## thingy 1.1.8

=== Makefile ===
all: buildmo

buildmo:
	@echo "Building the mo files"
	# WARNING: the second sed below will only works correctly with the languages that don't contain "-"
	for file in `ls po/*.po`; do \
		lang=`echo $$file | sed 's@po/@@' | sed 's/\.po//' | sed 's/thingy-//'`; \
		install -d usr/share/locale/$$lang/LC_MESSAGES/; \
		msgfmt -o usr/share/locale/$$lang/LC_MESSAGES/thingy.mo $$file; \
	done \

clean:
	rm -rf usr/share/locale

## thingy 1.0.5

=== debian/changelog ===
thingy (1.0.5-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 12 Jan 2022 16:33:07 -0500

thingy (1.0.5) una; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 12:59:41 +0000

thingy (1.0.4) una; urgency=medium

  * Filter text/plain for Writer and pdf for Draw
  * Tooltips: Show full path

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Dec 2021 16:16:58 +0000

thingy (1.0.3) una; urgency=medium

  * Visual improvements
  * Add support for LibreOffice documents

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Dec 2021 14:31:40 +0000

thingy (1.0.2) una; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:50:07 +0000

thingy (1.0.1) una; urgency=medium

  * Improve empty page
  * Improve icon
  * l10n: Update POT
  * packaging: Add dependency on xreader and xapp
  * packaging: Fix typo
  * Preserve window state
  * Add an action context menu to open the containing folder
  * Update the list when favorites or recents change
  * Use uris, add move-to-trash and add/remove favorites
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 22 Nov 2021 15:49:16 +0000

thingy (1.0.0) una; urgency=low

  * Initial release

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  12 Nov 2021 12:54:00 +0000

=== debian/control ===
Source: thingy
Section: misc
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Rules-Requires-Root: no

Package: thingy
Architecture: all
Depends: python3,
         python3-gi,
         python3-setproctitle,
         gir1.2-xapp-1.0,
         xreader,
         ${misc:Depends}
Description: Document Manager
 Utility application used to make collections and quickly access recent and favorite documents.

## thingy 1.0.6

=== debian/changelog ===
thingy (1.0.6) una; urgency=medium

  * Update mimetype pictures
  * Add dependency on libgsf-bin

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 17 Jan 2022 16:09:51 +0000

=== debian/control ===
Source: thingy
Section: misc
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Rules-Requires-Root: no

Package: thingy
Architecture: all
Depends: python3,
         python3-gi,
         python3-setproctitle,
         gir1.2-xapp-1.0,
         xreader,
         libgsf-bin,
         ${misc:Depends}
Description: Document Manager
 Utility application used to make collections and quickly access recent and favorite documents.

## thingy 1.0.9

=== debian/changelog ===
thingy (1.0.9) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:30:15 +0200

thingy (1.0.8) vanessa; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Jun 2022 11:28:33 +0200

thingy (1.0.7) vanessa; urgency=medium

  [ JosephMcc ]
  * UI tweaks (#13)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jun 2022 16:14:19 +0200

## thingy 1.1.0

=== debian/changelog ===
thingy (1.1.0) vera; urgency=medium

  [ Michael Webster ]
  * Add github workflow.

  [ Clement Lefebvre ]
  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 17:34:36 +0000

## thingy 1.1.1

=== debian/changelog ===
thingy (1.1.1) victoria; urgency=medium

  [ hduelme ]
  * replace equality None check with identity None check (#18)

  [ Clement Lefebvre ]
  * Add dark mode support
  * Fix support for apps with .desktop outside of /usr/share/applications
  * Duplicates: Take symbolic links into account

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 31 May 2023 15:39:40 +0100

## thingy 1.1.2

=== debian/changelog ===
thingy (1.1.2) victoria; urgency=medium

  [ Michael Webster ]
  * Add xapp to workflow.

  [ Clement Lefebvre ]
  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:02:36 +0100

## thingy 1.1.3

=== debian/changelog ===
thingy (1.1.3) victoria; urgency=medium

  [ Michael Webster ]
  * Fix progress calculation, don't display progress for documents under five pages long.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Jun 2023 09:24:20 +0200

## thingy 1.1.4

=== debian/changelog ===
thingy (1.1.4) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 17:20:02 +0200

## thingy 1.1.5

=== debian/changelog ===
thingy (1.1.5) virginia; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:14:49 +0000

## thingy 1.1.6

=== debian/changelog ===
thingy (1.1.6) virginia; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:01:07 +0000

## thingy 1.1.7

=== debian/changelog ===
thingy (1.1.7) wilma; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 20:55:16 +0100

## thingy 1.1.8

=== debian/changelog ===
thingy (1.1.8) wilma; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:41:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Depends: python3,
          python3-gi,
          python3-setproctitle,
-         gir1.2-xapp-1.0,
+         gir1.2-xapp-1.0 (>= 2.5.0),
          xreader,
          libgsf-bin,
          ${misc:Depends}

## thingy 1.1.9

=== debian/changelog ===
thingy (1.1.9) xia; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:53:34 +0000

## thingy 1.2.0

=== debian/changelog ===
thingy (1.2.0) xia; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2025 14:14:24 +0000

## thingy 1.2.1

=== debian/changelog ===
thingy (1.2.1) zara; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 12:32:08 +0200

## thingy 1.2.2

=== debian/changelog ===
thingy (1.2.2) zena; urgency=medium

  * Switch to XApp symbolic icons
  * Switch to xapp-symbolic-icons (XSI)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 19 Nov 2025 15:24:55 +0000

## thingy 1.2.3

=== debian/changelog ===
thingy (1.2.3) zena; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Dec 2025 17:03:11 +0000

## thingy 1.2.4

=== debian/changelog ===
thingy (1.2.4) zena; urgency=medium

  [ hduelme ]
  * Use auto resource management for license file (#20)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 07 Jan 2026 12:34:55 +0000
